package client

import (
	pipb "code.fbi.h-da.de/danet/gosdn/api/go/gosdn/plugin-internal"
	"google.golang.org/grpc"
)

var pluginClientConnection *grpc.ClientConn

func PluginClient(addr string, opts ...grpc.DialOption) (pipb.PluginInternalServiceClient, error) {
	var err error

	if pluginClientConnection == nil {
		pluginClientConnection, err = grpc.NewClient(addr, opts...)
		if err != nil {
			return nil, err
		}
	}
	return pipb.NewPluginInternalServiceClient(pluginClientConnection), nil
}
